Inhalte

# Funktion Blue

Gibt die Blaukomponente des angegebenen zusammengesetzten Farbcodes zurück.

### Syntax:

    Blue (Farbe As Long)

### Rückgabetyp:

Integer

### Parameter:

Farbwert: Ausdruck vom Typ "Long Integer", der einen beliebigen zusammengesetzten Farbcode festlegt, für den die Blaukomponente zurückgegeben werden soll.

Im VBA-Kompatibilitätsmodus (Option VBASupport 1) ist die Funktion Blue() nicht kompatibel mit VBA-Farben, wenn die Farbe vom vorherigen Aufruf an die VBA-Funktion RGB übergeben wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

Der Dialog Farbauswahl beschreibt die Rot-, Grün- und Blaukomponenten eines zusammengesetzten Farbcodes sowie seinen hexadezimalen Ausdruck. Ändern der Textfarbe und das Auswählen von Benutzerdefinierte Farbe zeigt den Farbauswahldialog an.

### Beispiel:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "Die Farbe " & lVar & " hat die Anteile:" & Chr(13) &_
            "rot = " & Red(lVar) & Chr(13)&_
            "grün= " & Green(lVar) & Chr(13)&_
            "blau= " & Blue(lVar) & Chr(13) , 64,"Farben"
    End Sub